import gtk
class MessageBox:
    
    def ShowInfo(self, text = '', parentWindow= None):
        dlg = gtk.MessageDialog(parentWindow, gtk.DIALOG_MODAL, gtk.MESSAGE_INFO, gtk.BUTTONS_OK, text)
        dlg.set_markup(text)
        dlg.run()
        dlg.destroy()
        return
  
    def ShowError(self, text = '', parentWindow= None):
        dlg= gtk.MessageDialog(parentWindow, gtk.DIALOG_MODAL,    gtk.MESSAGE_ERROR, gtk.BUTTONS_OK, text)
        dlg.set_markup(text)
        dlg.run()
        dlg.destroy()
        return
        
    def ShowQuestionOkCancel(self,text, parentWindow= None):
        dlg = gtk.MessageDialog (parentWindow, gtk.DIALOG_MODAL, gtk.MESSAGE_WARNING, gtk.BUTTONS_OK_CANCEL, text)
        dlg.set_markup(text)
        response = dlg.run ()
        dlg.destroy ()
        
        return (response == gtk.RESPONSE_OK)
        
    def ShowQuestion(self,text, parentWindow= None):
        dlg = gtk.MessageDialog (parentWindow, gtk.DIALOG_MODAL, gtk.MESSAGE_QUESTION, gtk.BUTTONS_YES_NO, text)
        dlg.set_markup(text)
        response = dlg.run ()
        dlg.destroy ()
        
        return (response == gtk.RESPONSE_YES)
